Announcement

Collapse
No announcement yet.

Catalyst 8.5 not compiling on Fedora 9

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Catalyst 8.5 not compiling on Fedora 9

    Hi All,

    I just installed Fedora 9 and went to build the Catalyst 8.5 driver and got the below error.

    sh ati-driver-installer-8-5-x86.x86_64.run --buildpkg Fedora/F9
    Created directory fglrx-install.40l2J7
    Verifying archive integrity... All good.
    Uncompressing ATI Proprietary Linux Driver-8.493...........................................
    ==================================================
    ATI Technologies Linux Driver Installer/Packager
    ==================================================
    Generating package: Fedora/F9
    Package build failed!
    Package build utility output:
    error: %changelog entries must start with *
    Building target platforms: i386
    Building for target i386
    Removing temporary directory: fglrx-install.40l2J7

    Does anyone know what might be causing this issue?

  • #2
    same problem with fedora 8

    check thread

    http://www.phoronix.com/forums/showt...ed=1#post32844

    Comment


    • #3
      http://www.phoronix.com/forums/showp...2&postcount=44
      You can skip the Suspending and resuming if you do
      ./ati-driver-installer-8-5-x86.x86_64.run --extract exp
      do the changes in the spec file and then
      ./ati-installer.sh 8-5 --buildpkg Fedora/F9

      EDIT: Fixed that for F9 and I wanted to add that I only tested it on F8 (works like a charm), but it should work on F9, too.

      Comment


      • #4
        i can compile it on FC9 no problem at all and i can even modprobe it alright... but when you start xorg... i throws
        (II) Loading /usr/lib64/xorg/modules/drivers//fglrx_drv.so
        dlopen: /usr/lib64/xorg/modules/drivers//fglrx_drv.so: undefined symbol: miZeroLineScreenIndex


        anyone ?

        Comment


        • #5
          Originally posted by khakhovich View Post
          i can compile it on FC9 no problem at all and i can even modprobe it alright... but when you start xorg... i throws
          (II) Loading /usr/lib64/xorg/modules/drivers//fglrx_drv.so
          dlopen: /usr/lib64/xorg/modules/drivers//fglrx_drv.so: undefined symbol: miZeroLineScreenIndex


          anyone ?
          I also have this problem on my Fedora 9.

          Comment


          • #6
            Originally posted by khakhovich View Post
            i can compile it on FC9 no problem at all and i can even modprobe it alright... but when you start xorg... i throws
            (II) Loading /usr/lib64/xorg/modules/drivers//fglrx_drv.so
            dlopen: /usr/lib64/xorg/modules/drivers//fglrx_drv.so: undefined symbol: miZeroLineScreenIndex


            anyone ?

            Yup, exact same problem for me, just installed F9, too. Argh.

            Comment


            • #7
              Hi Everyone,

              Thank you for your responses. I wanted to install the fglrx 8.5 because in F8, I could only get the power saving for the LCD to work when there was a fglrx driver installed [the driver that came with F8 didn't support power management]. The driver that comes with F9 seems to support power management, so I think I'm going to wait until 8.6 to try this again. Granted the above work arounds would have worked, I just feel that a typical user shouldn't have to do anything to get a driver installed other than run the installer package with the correct parameters. Maybe I'm hoping for to much, especially when the driver has to be installed/compiled in Linux.

              Again, thanks for all the feedback, it is greatly appreciated!

              Comment


              • #8
                You can install Catalyst 8.5 in Fedora 9 and all works good I think, You only have to downgrade Xorg to Xorg from Fedora 8 I installed drivers in this steps on my Fedora 9 and all works good:

                *Downgrade Xorg:
                http://www.fedoraforum.org/forum/sho...d.php?t=188645

                *Next I installed new kernel 2.6.25.3-18 and reboot of course.
                *Next I installed Catalyst 8.5 in text mode

                Next reboot and We have Catalyst 8.5 and 3d acceleration on Fedora 9 If ATI release drivers compatible with X Server 1.5 we will can very easy upgrade our Xorg via Yum to the latest version I think than it's the best solution for temporary using.
                Last edited by nadro; 05-23-2008, 05:39 AM.

                Comment


                • #9
                  i'm having same problem on Fedora 9 :-\

                  Comment

                  Working...
                  X